(function($){  
$.fn.dropdownControl = function() {	
	var Selector = ($(this).attr('id'));
	$(window).bind('resize load', function () { 	
		var viewportWidth = $(window).width();
		$("#" + Selector ).find('ul.sub').each(function() {
		var pos = $(this).parent().offset();		
		var adjust = $(this).parent().outerWidth() - $(this).innerWidth();	
		if ($(this).hasClass('css3navi'))
			{
			adjust += 13;
			pos.left +=  13;
			}
		var referenz = $(this).innerWidth();		
		if ($(this).find('.fly','.fly_act').length > 0)
			referenz *= 2;		
		if (pos.left < viewportWidth - referenz)
			{
			$(this).removeClass("toLeft");		
			$(this).css({'left':'-1px'});
			}
		else
			{
			$(this).addClass("toLeft");			
			$(this).css({'left':adjust+'px'});
			}
		});
	});
};
})(jQuery);